<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="myMotorLabel" jhiTranslate="mpmApp.motor.home.createOrEditLabel">Create or edit a Motor</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="motor.idProduct" />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.motor.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="motor.name"  />
        </div>
        <div class="row">
            <div class="col-sm-6">
                <label class="form-control-label" jhiTranslate="mpmApp.motor.dateIntroduction" for="field_dateIntroduction">Date Introduction</label>
                <div class="input-group">
                    <p-calendar inputId="field_dateIntroduction" name="input_dateIntroduction" [(ngModel)]="motor.dateIntroduction" dateFormat="dd-mm-yy"
                        [showTime]="true" hourFormat="24" [showSeconds]="true" [showIcon]="true"></p-calendar>
                </div>
            </div>
            <div class="col-sm-6">
                <label class="form-control-label" jhiTranslate="mpmApp.motor.dateDiscontinue" for="field_dateDiscontinue">Date discontinuation</label>
                <div class="input-group">
                    <p-calendar inputId="field_datedateDiscontinue" name="input_dateDiscontinue" [(ngModel)]="motor.dateDiscontinue"
                        dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true" [showIcon]="true"></p-calendar>
                </div>
            </div>
        </div><br>
        <div class="form-group">
            <label jhiTranslate="mpmApp.motor.uom" for="field_uom">Uom</label>
            <select class="form-control" id="field_uom" name="uom" [(ngModel)]="motor.uomId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="uomOption.idUom" *ngFor="let uomOption of uoms; trackBy: trackUomById">{{uomOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.motor.feature" for="field_feature">Feature</label>
            <select class="form-control" id="field_feature" multiple name="feature" [(ngModel)]="motor.features">
                <option [ngValue]="getSelected(motor.features, featureOption)" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.motor.category" for="field_category">Category</label>
            <select class="form-control" id="field_category" multiple name="category" [(ngModel)]="motor.categories">
                <option [ngValue]="getSelected(motor.categories, productCategoryOption)" *ngFor="let productCategoryOption of productcategories; trackBy: trackProductCategoryById">{{productCategoryOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label>Description</label>
            <textarea class="form-control" id="description" name="description" [(ngModel)]="motor.description" required></textarea>
            <!-- <ckeditor
                id="description"
                name="description"
                [(ngModel)]="motor.description">
            </ckeditor> -->
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
